dependencyManagement {
  versions {
    testUtilsVersion: "1.0.10"
    tqdevMetricsVersion: "0.9.26"
  }
  dependencies: [
    "com.github.stefanbirkner:system-rules:1.16.1"
    "com.icegreen:greenmail:1.5.5"
    "com.typesafe.scala-logging:scala-logging_${scalaVersion}:3.5.0"
    "org.scala-graph:graph-core_${scalaVersion}:1.11.5"
    "org.scala-graph:graph-constrained_${scalaVersion}:1.11.0"
    "xmlpull:xmlpull:1.1.3.1"
    {
      group: "com.xebialabs.deployit"
      version: "$xlPlatformVersion"
      artifacts: [
        "appserver-migrations-tests"
      ]
    }
    {
      group: "com.xebialabs.xl-platform"
      version: "$xlPlatformVersion"
      artifacts: [
        "xl-security-tests"
      ]
    }
    {
      group: "com.xebialabs.xl-platform.test-utils"
      version: "$testUtilsVersion"
      artifacts: [
        "overcast-utils"
        "py-modules"
      ]
    }
    "com.xebialabs.deployit:test-data:$xlDeployVersion"
    {
      group: "com.xebialabs.deployit.engine"
      version: "$xlDeployVersion"
      artifacts: [
        "planner"
        "test-engine"
      ]
    }
    {
      group: "com.xebialabs.deployit.plugins"
      version: "$xlDeployVersion"
      artifacts: [
        "base-plugin"
        "command-plugin"
        "database-plugin"
        "deployment-checklist-plugin"
        "file-plugin"
        "generic-plugin"
        "group-orchestrator-plugin"
        "jee-plugin"
        "powershell-plugin"
        "python-plugin"
        "remoting-plugin"
        "trigger-plugin"
        "webserver-plugin"
      ]
    }
    {
      group: "com.tqdev.metrics"
      version: "$tqdevMetricsVersion"
      artifacts: [
        "metrics-core"
        "metrics-jvm"
        "metrics-jmx"
        "metrics-jdbc"
        "metrics-jetty"
        "metrics-http"
        "metrics-influxdb"
        "metrics-spring-webmvc"
        "metrics-spring-security"
      ]
    }
  ]

  blacklist: [
    "com.typesafe.akka:akka-persistence-experimental_${scalaVersion}"
    "com.typesafe.akka:akka-stream-experimental_${scalaVersion}"
    "com.sun.xml.bind:jaxb-impl"
    "com.sun.xml.stream:sjsxp"
  ]
}
